#pragma once
#include "DeerRender/Events/Event.h"
#include "DeerRender/Events/ApplicationEvent.h"

int main(int, char**);

namespace Deer {
	namespace DeerStudio {
		void onRender();
		void onUpdate();
		
		void onEvent(Event& e);
		void main();

		bool onWindowCloseEvent(WindowCloseEvent&);
	}
}
